
package cdpp_irap.impex.v0;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for enumSpacecraft.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="enumSpacecraft">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Cassini"/>
 *     &lt;enumeration value="Galileo"/>
 *     &lt;enumeration value="Voyager_1"/>
 *     &lt;enumeration value="Voyager_2"/>
 *     &lt;enumeration value="Pioneer_10"/>
 *     &lt;enumeration value="Pioneer_11"/>
 *     &lt;enumeration value="PVO"/>
 *     &lt;enumeration value="ACE"/>
 *     &lt;enumeration value="VEX"/>
 *     &lt;enumeration value="MEX"/>
 *     &lt;enumeration value="MGS"/>
 *     &lt;enumeration value="MAVEN"/>
 *     &lt;enumeration value="MESSENGER"/>
 *     &lt;enumeration value="ULYSSES"/>
 *     &lt;enumeration value="Stereo-A"/>
 *     &lt;enumeration value="Stereo-B"/>
 *     &lt;enumeration value="WIND"/>
 *     &lt;enumeration value="THEMIS-A"/>
 *     &lt;enumeration value="THEMIS-B"/>
 *     &lt;enumeration value="THEMIS-C"/>
 *     &lt;enumeration value="THEMIS-D"/>
 *     &lt;enumeration value="THEMIS-E"/>
 *     &lt;enumeration value="CLUSTER1"/>
 *     &lt;enumeration value="CLUSTER2"/>
 *     &lt;enumeration value="CLUSTER3"/>
 *     &lt;enumeration value="CLUSTER4"/>
 *     &lt;enumeration value="DoubleStar1"/>
 *     &lt;enumeration value="IMP-8"/>
 *     &lt;enumeration value="GEOTAIL"/>
 *     &lt;enumeration value="POLAR"/>
 *     &lt;enumeration value="INTERBALL-Tail"/>
 *     &lt;enumeration value="ISEE-1"/>
 *     &lt;enumeration value="ISEE-2"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "enumSpacecraft")
@XmlEnum
public enum EnumSpacecraft {

    @XmlEnumValue("Cassini")
    CASSINI("Cassini"),
    @XmlEnumValue("Galileo")
    GALILEO("Galileo"),
    @XmlEnumValue("Voyager_1")
    VOYAGER_1("Voyager_1"),
    @XmlEnumValue("Voyager_2")
    VOYAGER_2("Voyager_2"),
    @XmlEnumValue("Pioneer_10")
    PIONEER_10("Pioneer_10"),
    @XmlEnumValue("Pioneer_11")
    PIONEER_11("Pioneer_11"),
    PVO("PVO"),
    ACE("ACE"),
    VEX("VEX"),
    MEX("MEX"),
    MGS("MGS"),
    MAVEN("MAVEN"),
    MESSENGER("MESSENGER"),
    ULYSSES("ULYSSES"),
    @XmlEnumValue("Stereo-A")
    STEREO_A("Stereo-A"),
    @XmlEnumValue("Stereo-B")
    STEREO_B("Stereo-B"),
    WIND("WIND"),
    @XmlEnumValue("THEMIS-A")
    THEMIS_A("THEMIS-A"),
    @XmlEnumValue("THEMIS-B")
    THEMIS_B("THEMIS-B"),
    @XmlEnumValue("THEMIS-C")
    THEMIS_C("THEMIS-C"),
    @XmlEnumValue("THEMIS-D")
    THEMIS_D("THEMIS-D"),
    @XmlEnumValue("THEMIS-E")
    THEMIS_E("THEMIS-E"),
    @XmlEnumValue("CLUSTER1")
    CLUSTER_1("CLUSTER1"),
    @XmlEnumValue("CLUSTER2")
    CLUSTER_2("CLUSTER2"),
    @XmlEnumValue("CLUSTER3")
    CLUSTER_3("CLUSTER3"),
    @XmlEnumValue("CLUSTER4")
    CLUSTER_4("CLUSTER4"),
    @XmlEnumValue("DoubleStar1")
    DOUBLE_STAR_1("DoubleStar1"),
    @XmlEnumValue("IMP-8")
    IMP_8("IMP-8"),
    GEOTAIL("GEOTAIL"),
    POLAR("POLAR"),
    @XmlEnumValue("INTERBALL-Tail")
    INTERBALL_TAIL("INTERBALL-Tail"),
    @XmlEnumValue("ISEE-1")
    ISEE_1("ISEE-1"),
    @XmlEnumValue("ISEE-2")
    ISEE_2("ISEE-2");
    private final String value;

    EnumSpacecraft(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static EnumSpacecraft fromValue(String v) {
        for (EnumSpacecraft c: EnumSpacecraft.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
